Package org.apache.sysds.runtime.matrix.data

# Enum Class RandomMatrixGenerator.PDF

java.lang.Object
java.lang.Enum<RandomMatrixGenerator.PDF>
org.apache.sysds.runtime.matrix.data.RandomMatrixGenerator.PDF

All Implemented Interfaces:
  `Serializable`, `Comparable<RandomMatrixGenerator.PDF>`, `Constable`

Enclosing class:
  RandomMatrixGenerator

public static enum RandomMatrixGenerator.PDF extends Enum<RandomMatrixGenerator.PDF>
Types of Probability density functions

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CB_NORMAL`
`CB_UNIFORM`
`NORMAL`
`POISSON`
`UNIFORM`

## Method Summary

Modifier and Type
Method
Description
`static RandomMatrixGenerator.PDF`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static RandomMatrixGenerator.PDF[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NORMAL

public static final RandomMatrixGenerator.PDF NORMAL

### UNIFORM

public static final RandomMatrixGenerator.PDF UNIFORM

### POISSON

public static final RandomMatrixGenerator.PDF POISSON

### CB_UNIFORM

public static final RandomMatrixGenerator.PDF CB_UNIFORM

### CB_NORMAL

public static final RandomMatrixGenerator.PDF CB_NORMAL

## Method Details

### values

public static RandomMatrixGenerator.PDF[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static RandomMatrixGenerator.PDF valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null